Bug 70607 - LibO uses 100% CPU and crashes when quit during extension update
Summary: LibO uses 100% CPU and crashes when quit during extension update
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.1.3.1 rc
Hardware: All Mac OS X (All)
: high major
Assignee: Not Assigned
URL: http://extensions.libreoffice.org/ext...
Whiteboard:
Keywords: bibisectRequest, regression
: 98376 100697 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-10-18 10:04 UTC by Emir Sarı (away)
Modified: 2018-01-31 03:43 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2013-10-18 10:04:54 UTC
Steps to reproduce:

-Install 4.1.3.1
-Go to Extension Update
-Install available updates (in this case LanguageTool 2.3)
-Click 'Install'

Expected behaviour:
-Install updates without any problem

Actual behaviour:
-LibreOffice tops 100% CPU usage, and crashes occasionally when trying to quit LibreOffice. 

OS X 10.7.5, LO 4.1.3.1
Comment 1 Stephan Bergmann 2013-10-18 12:02:01 UTC
(Note that the download would eventually finish, though.  It is "just" that <http://www.languagetool.org/download/LanguageTool-2.3.oxt> is 44M and the processing is done in 8K chunks, which takes time and keeps the CPU busy.)

Emir, what part of comment 0 is a regression?  That downloading <http://www.languagetool.org/download/LanguageTool-2.3.oxt> consumes 100% CPU, or that LO crashes when trying to quit during the download?
Comment 2 tommy27 2013-10-19 07:43:32 UTC
@Emir
you reported issue againt 4.1.3.1.
did it work differently with previous releases?
Comment 3 retired 2013-11-22 14:54:10 UTC
Hi Emir,

thanks for the report. A few open questions are pending from comment #1 and #2. Could you answer those?

For reference here's LanguageTool 2.2 (2.3 will then appear via updates): http://extensions.libreoffice.org/extension-center/languagetool/releases/2.2

Setting to new since I can confirm the 100% CPU spike. 8kb chunks or not - an extension update should not require that much CPU, so this definitely qualifies as a bug.

I cannot confirm a crash when canceling the Extension update.

Setting to NEW.
Comment 4 QA Administrators 2015-04-19 03:22:30 UTC Comment hidden (obsolete)
Comment 5 shunesburg69 2016-03-18 18:04:16 UTC
*** Bug 98376 has been marked as a duplicate of this bug. ***
Comment 6 Michael Meeks 2016-03-19 20:41:17 UTC
Would love to have a profile of the download, what do we do on the 8k chunks - update some progress bar un-necessarily ? or queue some timer or ? ... would love a code pointer for a quick read Stephan if you remember where it is off-hand; could create an easy-hack out of it perhaps =)
Comment 7 Stephan Bergmann 2016-03-22 14:20:48 UTC
The relevant stack of code downloading the .oxt file from the internet is:

> webdav_ucp::NeonInputStream::AddToStream at ucb/source/ucp/webdav-neon/NeonInputStream.cxx:53
> NeonSession_ResponseBlockReader at ucb/source/ucp/webdav-neon/NeonSession.cxx:199
> gz_reader at workdir/UnpackedTarball/neon/src/ne_compress.c:271
> ne_read_response_block (..., buflen=8192) at workdir/UnpackedTarball/neon/src/ne_request.c:871
> ne_discard_response at workdir/UnpackedTarball/neon/src/ne_request.c:1445
> ne_request_dispatch at workdir/UnpackedTarball/neon/src/ne_request.c:1457
> webdav_ucp::NeonSession::GET at ucb/source/ucp/webdav-neon/NeonSession.cxx:1858
> webdav_ucp::NeonSession::GET at ucb/source/ucp/webdav-neon/NeonSession.cxx:1127
> webdav_ucp::DAVResourceAccess::GET at ucb/source/ucp/webdav-neon/DAVResourceAccess.cxx:476
> webdav_ucp::Content::open at ucb/source/ucp/webdav-neon/webdavcontent.cxx:2047
> webdav_ucp::Content::execute at ucb/source/ucp/webdav-neon/webdavcontent.cxx:488
> (anonymous namespace)::getInputStream at ucb/source/core/ucbcmds.cxx:914
> (anonymous namespace)::globalTransfer_ at ucb/source/core/ucbcmds.cxx:1304
> UniversalContentBroker::globalTransfer at ucb/source/core/ucbcmds.cxx:1958
> UniversalContentBroker::execute at ucb/source/core/ucb.cxx:660
> ucbhelper::Content::transferContent at ucbhelper/source/client/content.cxx:1029
> dp_gui::UpdateInstallDialog::Thread::download at desktop/source/deployment/gui/dp_gui_updateinstalldialog.cxx:609
Comment 8 Alex Thurgood 2016-06-30 14:14:46 UTC
*** Bug 100697 has been marked as a duplicate of this bug. ***
Comment 9 Alex Thurgood 2016-06-30 14:16:28 UTC
Other possible DUPS are bug 95390 and bug 70289
Comment 10 Alex Thurgood 2016-06-30 14:20:59 UTC
And maybe also bug 60226 is a DUP
Comment 11 Xisco Faulí 2016-09-13 08:30:34 UTC
Adding keyword 'bibisectRequest'.
This regression can be bibisected with http://dev-downloads.libreoffice.org/bibisect/mac/Bibisect_MacOSX10.6%2b_lo-4.1_to_lo-4.2.tar.bz2
Comment 12 Martin Srebotnjak 2017-01-30 17:17:16 UTC
This might be a duplicate of bug 99784.
Comment 13 QA Administrators 2018-01-31 03:43:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug